Package: groovy.lang

## [Java] Class MissingMethodException

- groovy.lang.MissingMethodException

- An exception occurred if a dynamic method dispatch fails with an unknown method.

  Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MissingMethodException (String method, Class type, Object[] arguments)`
    `MissingMethodException (String method, Class type, Object[] arguments, boolean isStatic)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object[]` | `getArguments()`
    `` | `String` | `getMessage()`
    `` | `String` | `getMethod()` @return the name of the method that could not be found
    `` | `Class` | `getType()` @return The type on which the method was attempted to be called
    `` | `boolean` | `isStatic()` @return Whether the method was called in a static way, i.e. on a class rather than an object.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public MissingMethodException(String method, Class type, Object[] arguments)

    - #### public MissingMethodException(String method, Class type, Object[] arguments, boolean isStatic)

  - ### Method Detail

    - #### public Object[] getArguments()

    - #### public String getMessage()

    - #### public String getMethod()

      Returns:
        the name of the method that could not be found

    - #### public Class getType()

      Returns:
        The type on which the method was attempted to be called

    - #### public boolean isStatic()

      Returns:
        Whether the method was called in a static way, i.e. on a class rather than an object.